# comment out when not a pre-release
%define prel    RC1

Name:           cutecom
Summary:        A graphical serial terminal, like minicom or Hyperterminal on Windows
Version:        0.60.0
Release:        %mkrel %{?prel:0.rc1.}2
License:        GPLv3+
Group:          Communications/Serial
URL:            https://gitlab.com/cutecom/cutecom
Source0:        https://gitlab.com/cutecom/cutecom/-/archive/v%{version}%{?prel:-%prel}/%{name}-v%{version}%{?prel:-%prel}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6SerialPort)
BuildRequires:  cmake(Qt6Widgets)

# Required for xmodem support
Requires:       lrzsz

%description
CuteCom is a graphical serial terminal, like minicom or Hyperterminal on
Windows. It is aimed mainly at hardware developers or other people who need
a terminal to talk to their devices.

%prep
%autosetup -p1 -n %{name}-v%{version}%{?prel:-%prel}

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# Upstream script does not install the .desktop file if KDE is not installed,
# so we install it manually:
desktop-file-install \
   --remove-key=Path --remove-key=Encoding \
   --add-category=System \
   --dir %{buildroot}%{_datadir}/applications/ \
   cutecom.desktop

%files
%doc CREDITS README.md Changelog TODO
%license LICENSE
%{_bindir}/cutecom
%{_mandir}/man1/cutecom.1*
%{_datadir}/applications/cutecom.desktop
%{_iconsdir}/hicolor/scalable/apps/cutecom.svg
%{_iconsdir}/hicolor/*/apps/cutecom.png
%{_metainfodir}/com.gitlab.cutecom.cutecom.appdata.xml


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.60.0-0.rc1.2.mga10
+ Revision: 2220989
- Mageia 10 Mass Rebuild

* Sat Jan 13 2024 daviddavid <daviddavid> 0.60.0-0.rc1.1.mga10
+ Revision: 2030896
- new version: 0.60.0-RC1
- switch to Qt6

* Mon Apr 04 2022 umeabot <umeabot> 0.51.0-6.mga9
+ Revision: 1843256
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.51.0-5.mga8
+ Revision: 1658299
- Rebuild for new Qt5

* Sun Jul 26 2020 daviddavid <daviddavid> 0.51.0-4.mga8
+ Revision: 1609170
- add upstream patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 0.51.0-3.mga8
+ Revision: 1524440
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.51.0-2.mga7
+ Revision: 1381506
- Qt5 Rebuild

* Sun Nov 18 2018 daviddavid <daviddavid> 0.51.0-1.mga7
+ Revision: 1330751
- new version: 0.51.0
- new URL and Source URL

* Mon Oct 22 2018 daviddavid <daviddavid> 0.50.0-1.mga7
+ Revision: 1323526
- new version: 0.50.0
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 0.40.0-3.mga7
+ Revision: 1297378
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 daviddavid <daviddavid> 0.40.0-2.mga7
+ Revision: 1234843
- add upstream patch to fix build against Qt5 >= 5.11.0

* Sun Feb 12 2017 daviddavid <daviddavid> 0.40.0-1.mga6
+ Revision: 1085811
- new version: 0.40.0 (Qt5 based)
- port to Qt5
- update URL and Source URL
- rename and rebase mga-fixinstall patch

* Sat Feb 06 2016 umeabot <umeabot> 0.22.0-4.mga6
+ Revision: 940714
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-3.mga5
+ Revision: 747719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22.0-2.mga5
+ Revision: 678642
- Mageia 5 Mass Rebuild

* Sun Nov 24 2013 akien <akien> 0.22.0-1.mga4
+ Revision: 552701
- Mageiafication of the Fedora spec file
- imported package cutecom


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 15 2012 Rich Mattes <richmattes@gmail.com> - 0.22.0-4
- Add support for xmodem via lrzsz package (rhbz#848449)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-2
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Rich Mattes <richmattes@gmail.com> - 0.22.0-1
- Update to release 0.22.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-3
- Fixed .desktop file and .spec file comments.

* Tue Feb 17 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-2
- Added documentation files.
- Fixed License field.
- .desktop file installed with desktop-file-install

* Sun Feb 15 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-1
- Initial packaging for Fedora.

